Subject: Re: remaining sql/json patches

From: Peter Eisentraut <[email-masked]>
Date: Tue, 12 Sep 2023 09:52:50 +0200

On 06.09.23 17:01, Alvaro Herrera wrote:
> Assert()ing that a pointer is not null, and in the next line
> dereferencing that pointer, is useless: the process would crash anyway
> at the time of dereference, so the Assert() adds no value.  Better to
> leave the assert out.

I don't think this is quite correct.  If you dereference a pointer, the 
compiler may assume that it is not null and rearrange code accordingly. 
So it might not crash.  Keeping the assertion would alter that assumption.